require 'open-uri'
require 'json'
require 'dotenv'

Dotenv.load

class YoutubeSearch
  API_URL = 'https://www.googleapis.com/youtube/v3/search'
  API_KEY = ENV['API_KEY']

  def self.search(options={})
    query = options.map{|k,v| "#{k}=#{v}"}.join('&')
    response = URI.open("#{API_URL}?key=#{API_KEY}&#{query}").read
    response = JSON.parse(response)
  end
end
